#Dockerfile for TeamCity build "run in docker"

FROM repo.asd.center.cg:8082/alt/alt-tomcat:c10f1-9.0.59-20240917

USER root

COPY config/tomcat /

RUN cat /etc/tomcat/webbpm.properties >> /etc/tomcat/catalina.properties \
 && chown root:tomcat /var/lib/tomcat/webapps \
 && chmod g+rw /var/lib/tomcat/webapps

COPY frontend/target/frontend*.war /var/lib/tomcat/webapps/ROOT.war
COPY backend/target/ul.war /var/lib/tomcat/webapps/ul.war

USER tomcat

EXPOSE 8080

ENTRYPOINT ["/entrypoint.sh"]
